libzmf::ZMFInternalStream Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libzmf::ZMFInternalStream Class Reference

`#include <ZMFInternalStream.h>`

Inheritance diagram for libzmf::ZMFInternalStream:

## Public Member Functions
| ZMFInternalStream (const unsigned char *data, unsigned long size)
| ZMFInternalStream (const std::vector< unsigned char > &data)
| ZMFInternalStream (const RVNGInputStreamPtr &input, unsigned long size)
virtual | ~ZMFInternalStream ()
virtual bool | isStructured ()
virtual unsigned | subStreamCount ()
virtual const char * | subStreamName (unsigned id)
virtual bool | existsSubStream (const char *name)
virtual librevenge::RVNGInputStream * | getSubStreamByName (const char *name)
virtual librevenge::RVNGInputStream * | getSubStreamById (unsigned id)
virtual const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
virtual int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType)
virtual long | tell ()
virtual bool | isEnd ()

## Private Member Functions
| ZMFInternalStream (const ZMFInternalStream &)
ZMFInternalStream & | operator= (const ZMFInternalStream &)

## Private Attributes
long | m_offset
unsigned long | m_size
const unsigned char * | m_data
unsigned char * | m_tmpBuf
bool | m_dataOwner

## Constructor & Destructor Documentation

## ◆ ZMFInternalStream() [1/4]

libzmf::ZMFInternalStream::ZMFInternalStream | ( | const unsigned char * | data,
|  | unsigned long | size
| ) |  |

## ◆ ZMFInternalStream() [2/4]

libzmf::ZMFInternalStream::ZMFInternalStream | ( | const std::vector< unsigned char > & | data | ) |

## ◆ ZMFInternalStream() [3/4]

libzmf::ZMFInternalStream::ZMFInternalStream | ( | const RVNGInputStreamPtr & | input,
|  | unsigned long | size
| ) |  |

## ◆ ~ZMFInternalStream()

libzmf::ZMFInternalStream::~ZMFInternalStream | ( |  | ) |
| virtual

## ◆ ZMFInternalStream() [4/4]

libzmf::ZMFInternalStream::ZMFInternalStream | ( | const ZMFInternalStream & |  | ) |
| private

## Member Function Documentation

## ◆ existsSubStream()

bool libzmf::ZMFInternalStream::existsSubStream | ( | const char * | name | ) |
| virtual

## ◆ getSubStreamById()

librevenge::RVNGInputStream * libzmf::ZMFInternalStream::getSubStreamById | ( | unsigned | id | ) |
| virtual

## ◆ getSubStreamByName()

librevenge::RVNGInputStream * libzmf::ZMFInternalStream::getSubStreamByName | ( | const char * | name | ) |
| virtual

## ◆ isEnd()

bool libzmf::ZMFInternalStream::isEnd | ( |  | ) |
| virtual

## ◆ isStructured()

bool libzmf::ZMFInternalStream::isStructured | ( |  | ) |
| virtual

## ◆ operator=()

ZMFInternalStream& libzmf::ZMFInternalStream::operator= | ( | const ZMFInternalStream & |  | ) |
| private

## ◆ read()

const unsigned char * libzmf::ZMFInternalStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead
| ) |  |
| virtual

## ◆ seek()

int libzmf::ZMFInternalStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType
| ) |  |
| virtual

## ◆ subStreamCount()

unsigned libzmf::ZMFInternalStream::subStreamCount | ( |  | ) |
| virtual

## ◆ subStreamName()

const char * libzmf::ZMFInternalStream::subStreamName | ( | unsigned | id | ) |
| virtual

## ◆ tell()

long libzmf::ZMFInternalStream::tell | ( |  | ) |
| virtual

## Member Data Documentation

## ◆ m_data

const unsigned char* libzmf::ZMFInternalStream::m_data
| private

Referenced by read(), ZMFInternalStream(), and ~ZMFInternalStream().

## ◆ m_dataOwner

bool libzmf::ZMFInternalStream::m_dataOwner
| private

Referenced by ZMFInternalStream(), and ~ZMFInternalStream().

## ◆ m_offset

long libzmf::ZMFInternalStream::m_offset
| private

Referenced by isEnd(), read(), seek(), and tell().

## ◆ m_size

unsigned long libzmf::ZMFInternalStream::m_size
| private

Referenced by isEnd(), read(), seek(), and ZMFInternalStream().

## ◆ m_tmpBuf

unsigned char* libzmf::ZMFInternalStream::m_tmpBuf
| private

Referenced by read(), and ~ZMFInternalStream().

The documentation for this class was generated from the following files:

- ZMFInternalStream.h
- ZMFInternalStream.cpp